帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:Gnome  Gnome 3  卸载  Reinstall  

问题:

我安装了 GNOME 3.10,我有 GNOME 3.8,非常喜欢它。 不幸的是,有了 3.10,似乎出现了错误。 没有背景工作和注销和关闭的按钮丢失。

如何卸载和重新安装 GNOME 3.10? 我正在运行 Ubuntu 13.04.

我最初安装了它:


sudo add-apt-repository ppa:ricotz/testing


sudo add-apt-repository ppa:gnome3-team/gnome3


sudo add-apt-repository ppa:gnome3-team/gnome3-staging


sudo apt-get update


sudo apt-get install gnome-shell




回答 1:

试试这个,只要按键盘上的Ctrl+Alt+T就可以打开终端。 打开后,运行下面的命令:


sudo apt-get install ppa-purge


sudo ppa-purge ppa:gnome3-team/gnome3-staging


sudo ppa-purge ppa:gnome3-team/gnome3-next



然后重新配置GDM或者 LightDM,无论你喜欢哪一个


sudo dpkg-reconfigure gdm



或者


sudo dpkg-reconfigure lightdm



如果你没拿回 3.8


sudo add-apt-repository ppa:gnome3-team/gnome3


sudo apt-get update




回答 2:

你可以通过等号安装软件包的特定版本:


apt-get install <package name>=<version>



但是首先你必须了解哪些版本是可用的:


apt-cache madison <package name>



例如使用 binutils:


# apt-cache madison binutils


 binutils | 2.22-6ubuntu1.1 | http://ch.archive.ubuntu.com/ubuntu/precise-updates/main amd64 Packages


 binutils | 2.22-6ubuntu1.1 | http://security.ubuntu.com/ubuntu/precise-security/main amd64 Packages


 binutils | 2.22-6ubuntu1 | http://ch.archive.ubuntu.com/ubuntu/precise/main amd64 Packages


 binutils | 2.22-6ubuntu1 | http://ch.archive.ubuntu.com/ubuntu/precise/main Sources


 binutils | 2.22-6ubuntu1.1 | http://ch.archive.ubuntu.com/ubuntu/precise-updates/main Sources


 binutils | 2.22-6ubuntu1.1 | http://security.ubuntu.com/ubuntu/precise-security/main Sources



然后,使用 apt-get install 命令执行命令中的一个版本号,例如:


apt-get install binutils=2.22-6ubuntu1.1






文章标签:Gnome  卸载  Reinstall  Gnome 3  

Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语